## org.codehaus.groovy.grails.web.util
Class StreamCharBuffer.StreamCharBufferSubChunkReader

    java.lang.Object
      org.codehaus.groovy.grails.web.util.StreamCharBuffer.ChunkReader
          org.codehaus.groovy.grails.web.util.StreamCharBuffer.AbstractChunkReader
              org.codehaus.groovy.grails.web.util.StreamCharBuffer.StreamCharBufferSubChunkReader

Enclosing class:
  StreamCharBuffer

    final class StreamCharBuffer.StreamCharBufferSubChunkReader

extends StreamCharBuffer.AbstractChunkReader

Field Summary
`(package private) StreamCharBuffer.StreamCharBufferSubChunk` `parent`

Constructor Summary
`StreamCharBuffer.StreamCharBufferSubChunkReader(StreamCharBuffer.StreamCharBufferSubChunk parent, boolean removeAfterReading)`

Method Summary
`int` `getReadLenLimit(int askedAmount)`
`int` `read(char[] ch, int off, int len)`

Methods inherited from class org.codehaus.groovy.grails.web.util.StreamCharBuffer.AbstractChunkReader
`getWriterUsedCounter, isValid, next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    StreamCharBuffer.StreamCharBufferSubChunk parent

Constructor Detail

### StreamCharBuffer.StreamCharBufferSubChunkReader

    public StreamCharBuffer.StreamCharBufferSubChunkReader(StreamCharBuffer.StreamCharBufferSubChunk parent,
                                                           boolean removeAfterReading)

Method Detail

### getReadLenLimit

    public int getReadLenLimit(int askedAmount)

  Specified by:
    `getReadLenLimit` in class `StreamCharBuffer.ChunkReader`

### read

    public int read(char[] ch,
                    int off,
                    int len)
             throws IOException

  Specified by:
    `read` in class `StreamCharBuffer.ChunkReader`
  Throws:
    `IOException`

Copyright (c) 2005-2009 The Grails project